Package it.ernytech.tdlib

## Class TdApi.FormattedText

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.FormattedText

Enclosing class:
  TdApi

    public static class TdApi.FormattedText
    extends TdApi.Object

A text with some entities.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.TextEntity[]` `entities` Entities contained in the text.
`java.lang.String` `text` The text.

### Constructor Summary

Constructors
`FormattedText()` Default constructor.
`FormattedText​(java.lang.String text, TdApi.TextEntity[] entities)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### text

    public java.lang.String text

The text.

#### entities

    public TdApi.TextEntity[] entities

Entities contained in the text.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### FormattedText

    public FormattedText()

Default constructor.

#### FormattedText

    public FormattedText​(java.lang.String text,
                         TdApi.TextEntity[] entities)

Constructor for initialization of all fields.

Parameters:
  `text` - The text.
  `entities` - Entities contained in the text.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR